{% extends 'base.html' %}

{% block content %}

{% if validlink %}

<div class="box-blue">
  Pour réinitialiser votre mot de passe, veuillez saisir votre nouveau mot de passe et
  le confirmer.
  <br />
  <em>Les champs marqués d’un * sont obligatoires.</em>
</div>
<br />
<form method="post">
  <div class="box-blue">
    {% csrf_token %}
    <div class="field">
      <label for="id_new_password1"
            class="label">Nouveau mot de passe *</label>
      {% if form.new_password1.errors %}
      <p class="control">
        <input class="input is-danger"
              type="password"
              name="new_password1"
              required=""
              placeholder="Nouveau mot de passe *"
              id="id_new_password1">
      </p>
      <div class="help is-danger">
        {{ form.new_password1.errors }}
      </div>
      {% else %}
      <p class="control">
        <input class="input"
              type="password"
              name="new_password1"
              required=""
              placeholder="Nouveau mot de passe *"
              id="id_new_password1">
      </p>
      {% endif %}

    </div>
    <div class="field">
      <label for="id_new_password2"
            class="label">Confirmation du mot de passe *</label>
      {% if form.new_password2.errors %}
      <p class="control">
        <input class="input is-danger"
              type="password"
              name="new_password2"
              required=""
              placeholder="Confirmation du mot de passe *"
              id="id_new_password2">
      </p>
      <div class="help is-danger">
        {{ form.new_password2.errors }}
      </div>
      {% else %}
      <p class="control">
        <input class="input"
              type="password"
              name="new_password2"
              required=""
              placeholder="Confirmation du mot de passe *"
              id="id_new_password2">
      </p>
      {% endif %}
    </div>
  </div>
  <br />
  <nav class="level">
    <div class="level-left"></div>
    <div class="level-right">
      <button
        type="submit"
        class="button is-primary"
      >
        <span class="icon is-small"><i class="fa fa-paper-plane"></i></span>
        <span> Envoyer </span>
      </button>
    </div>
  </nav>

</form>

{% else %}

<div class="box-blue">
  <strong>Lien invalide !</strong>
  <br />
  Le lien de réinitialisation du mot de passe est invalide, sûrement car il a déjà été utilisé. Merci de demander un autre lien.
</div>

{% endif %}

{% endblock %}
